Skip to main content

Invite to a LinkedIn Event

POST /api/v1/event_invite

This API allows the authenticated user to invite a LinkedIn member to an event using their LinkedIn profile ID.

The profile_id is a unique identifier used by LinkedIn to distinguish individual user profiles. On WeLink, you can obtain the profile_id by calling the /api/v1/get_profile_details API. In the response of this API, the field profile_id is provided. This value should be used as the profile_id when making requests to other WeLink APIs that require a LinkedIn profile reference.

To obtain the event_id, you can call the /api/v1/events API. In the response of this API, the field event_id is provided.

Headers

NameTypeRequired
x-api-keystringYes
x-api-secretstringYes

Request Body

Schema

accountIdstringrequiredThe unique identifier of the WeLink account.
profile_idstringrequiredThe unique identifier of the LinkedIn profile.
event_idstringrequiredThe unique identifier of the LinkedIn event.

Sample Request

{
"accountId": "string",
"profile_id": "string",
"event_id": "string"
}

Responses

Webhook Events

Schema

statusstringStatus indicating the request completed successfully (e.g. "SUCCESS").
requestIdstringUnique identifier for the request.
resultobjectThe response payload.
invitedbooleanWhether the invitation was sent.
invitation_idstringrequiredThe identifier for a connection invitation.
profile_idstringrequiredThe unique identifier of the LinkedIn profile.

Sample Response

{
"status": "string",
"requestId": "string",
"result": {
"invited": false,
"invitation_id": "string",
"profile_id": "string"
}
}
POST/api/v1/event_invite
x-api-key
x-api-secret